local L = Librarian("Linguist"):Lang("ruRU");
if not L then return; end
L["Hearthstone"]        = true;
L["Разговор"]           = true
L["Общий"]              = true
L["Локальная оборона"]  = true
L["Поиск спутников"]    = true
L["Торговля"]           = true
L["Глобальная оборона"] = true
L["S_Conversation"]     = "Ра"
L["S_General"]          = "О"
L["S_LocalDefense"]     = "ЛО"
L["S_LookingForGroup"]  = "ПС"
L["S_Trade"]            = "Т"
L["S_WorldDefense"]     = "ГО"
--[[LOGIN MESSAGE]]--
L["LOGIN_MSG"] = "Добро пожаловать в |cffFFFF1AInked Super Villains|r! Держите свои %s и ваши %s."
L["LOGIN_MSG2"] = "Версия |cffAA78FF%s|r, наберите |cff00FF00/ink|r для доступа в меню настроек, or |cff00FF00/ink help|r для вывода списка прочих доступных комманд."
--[[OPTION MESSAGES]]--
L["AURAS_DESC"] = "Настройте значки ауры, которые появляются рядом с миникартой."
L["BAGS_DESC"] = "Изменение настроек сумок для Inked Super Villains."
L["CHAT_DESC"] = "Изменение настроек чата для Inked Super Villains."
L["STATS_DESC"] = "Настройка док-панелей характеристик."
L["InkedSV_DESC"] = "Inked Super Villains это аддон который полностью меняет пользовательский интерфейс в World of Warcraft."
L["NAMEPLATE_DESC"] = "Изменение настроек панелей имён."
L["PANEL_DESC"] = "Изменение размера левой и правой панелей. Эта настройка повлияет на размер чата и сумок."
L["ART_DESC"] = "Включение / Отключение Модификаций окна."
L["TOGGLEART_DESC"] = "Включить / отключить это изменение."
L["TOOLTIP_DESC"] = "Настройка параметров для всплывающих подсказок."
L["TEXT_FORMAT_DESC"] = "Выберите формат этого текста"
L["import"] = "Существующий профиль"
L["import_desc"] = "Вы можете создать новый профиль, введя имя в поле редактирования, или выбрать один из уже существующих профилей."
L["import_sub"] = "Выберите один из доступных профилей."
L["copy_name"] = "Скопировать из"
L["copy_desc"] = "Скопировать настройки из существующего профиля в активный."
L["current"] = "Текущий профиль:"
L["default"] = "По умолчанию"
L["delete"] = "Удалить профиль"
L["delete_confirm"] = "Вы действительно хотите удалить выбранный профиль?"
L["delete_desc"] = "Удалить существующие и неиспользуемые профили из базы данных для сохранения места и очистки файла сохраненных переменных."
L["delete_sub"] = "Удаляет профиль из базы."
L["intro"] = "Вы можете изменить профиль активной базы данных, чтобы у вас были разные настройки для каждого персонажа."
L["export"] = "Экспорт"
L["export_sub"] = "Создать новый пустой профиль."
L["profiles"] = "Профили"
L["profiles_sub"] = "Управление профилями"
L["reset"] = "Сбросить настройки профиля"
L["reset_desc"] = "Сбросить текущий профиль к значениям по умолчанию, если конфигурация повреждена, или вы просто хотите начать сначала."
L["reset_sub"] = "Сбросить текущий профиль к значению по умолчанию"
L["InkedSV_DockBotCenter"] = "Нижняя док-панель"
L["InkedSV_DockTopCenter"] = "Верхняя док-панель"
--[[REACTION TEXTS]]--
L[" пьёт."] = true;
L["Лерооооооооой!"] = true;
L["Нет еды: "] = true;
L["Нет зелий: "] = true;
L["Все усилены!"] = true;
L["Проверьте еду и зелья"] = true;
L["Спасибо за "] = true;
L[" получено от "] = true;
L["Пошли!"] = true;
L["Pulling %s in %s.."] = true
L["Pull ABORTED!"] = true
L["%s has prepared a %s - [%s]."] = true
L["%s has prepared a %s."] = true
L["%s has put down a %s."] = true
L["%s is casting %s."] = true
L["%s is casting %s. Click!"] = true
L["%s used a %s."] = true
--[[FORMATTED INSTALLER TEXTS]]--
L["|cffD3CF00Recommended|r"] = true;
L["Recommended: |cff99FF00Kaboom!|r"] = true;
L["Recommended: |cff99FF00Super|r"] = true;
L["Recommended: |cffFF0000Small Row!|r"] = true;
L["Recommended: |cffFF0000Icon Lovers!|r"] = true;
L["|cffFF9F00KABOOOOM!|r"] = true;
L["|cffAF30FFThe Darkest Night|r"] = true;
L["|cff00FFFFPlain and Simple|r"] = true;
L["|cff00FFFFLets Do This|r"] = true;
L["|cff00FFFFSimply Simple|r"] = true;
L["|cff00FFFFEl Compacto|r"] = true;
L["|cff00FFFFHealer Extraordinaire|r"] = true;
L["|cff00FFFFLean And Clean|r"] = true;
L["|cff00FFFFMore For Less|r"] = true;
L["|cff00FFFFWhat Big Buttons You Have|r"] = true;
L["|cff00FFFFThe Double Down|r"] = true;
--[[NORMAL INSTALLER TEXTS]]--
L["This is Inked Super Villains version %s!"] = true;
L["Before I can turn you loose, persuing whatever you feel will advance your professional career ... I need to ask some questions and turn a few screws first."] = true;
L["Вы можете вернуться к настройкам в любое время, для этого используйте комманду /ink. Для быстрого изменения рамок, полос или палитры цветов, вызвать прихвостня нажатием на кнопку в нижнем правом углу экрана. (Да, тот что с глупым выражением лица)"] = true;
L["CHOOSE_OR_DIE"] = CHOOSE_FACTION.." "..OR_CAPS.." "..HIT.." "..CONTINUE;
L["Whether you want to or not, you will be needing a communicator so other players can inform you about the MANY abilities of Chuck Norris"] = true;
L["The chat windows function the same as standard chat windows, you can right click the tabs and drag them, rename them, slap them around, you know... whatever. Clickity-click to setup your chat windows."] = true;
L["Your current resolution is %s, this is considered a %s resolution."] = true;
L["This resolution requires that you change some settings to get everything to fit on your screen."] = true;
L["Click the button below to resize your chat frames, unitframes, and reposition your actionbars."] = true;
L["You may need to further alter these settings depending how low you resolution is."] = true;
L["This resolution doesn't require that you change settings for the UI to fit on your screen."] = true;
L["Click the button below to resize your chat frames, unitframes, and reposition your actionbars."] = true;
L["This is completely optional."] = true;
L["So what you think your better than me with your big monitor? HUH?!?!"] = true;
L["Dont forget whos in charge here! But enjoy the incredible detail."] = true;
L["Why are you playing this on what I would assume is a calculator display?"] = true;
L["Enjoy the ONE incredible pixel that fits on this screen."] = true;
L["Выберите шаблон темы, которую вы хотите использовать для первоначальной настройки."] = true;
L["Вы всегда можете изменить шрифты и цвета любого элемента Inked Super Villains из настроек игры."] = true;
L["This theme tells the world that you are a player who can put on a show "] = true;
L["or better yet, you ARE the show!"] = true;
L["Кабуууум!"] = true;
L["Эта тема указывает на то, что вы не заинтересованы в трате времени"] = true;
L["the dying begins NOW!"] = true;
L["Тёмная"] = true;
L["Эта тема предназначена для игроков, которые гордятся своим классом"] = true;
L["players know how to represent!"] = true;
L["This theme is for any player who sticks to their traditions"] = true;
L["you don't need fancyness to kick some ass!"] = true;
L["Vintage"] = true;
L["Layout"] = true;
L["Вы можете выбрать, какой основной стиль вы хотите использовать. "] = true;
L["Это изменит макет ваших блочных фреймов (т.е.. Игрока, цели, питомца, группы, рейда и т.д)."] = true;
L["This layout is anything but minimal! Using this is like being at a rock concert"] = true;
L["then annihilating the crowd with frickin lazer beams!"] = true;
L["Super"] = true;
L["This layout is for the player who just wants to get things done!"] = true;
L["But he still wants to see your face before he hits you!"] = true;
L["Simple"] = true;
L["Just the necessities so you can see more of the world around you."] = true;
L["You dont need no fanciness getting in the way of world domination do you?"] = true;
L["Compact"] = true;
L["This has all the pizzaz of Super frames but uses Compact party and raid frames."] = true;
L["Sometimes a little fifty-fifty goes a long way."] = true;
L["Healer"] = true;
L["Bar Setup"] = true;
L["Choose a layout for your action bars."] = true;
L["Sometimes you need big buttons, sometimes you don't. Your choice here."] = true;
L["Lets keep it slim and deadly, not unlike a ninja sword."] = true;
L["You dont ever even look at your bar hardly, so pick this one!"] = true;
L["Small Row"] = true;
L["Granted, you dont REALLY need the buttons due to your hotkey-leetness, you just like watching cooldowns!"] = true;
L["Sure thing cowboy, your secret is safe with me!"] = true;
L["Small X2"] = true;
L["The better to PEW-PEW you with my dear!"] = true;
L["When you have little time for mouse accuracy, choose this set!"] = true;
L["Big Row"] = true;
L["It's like dual-wielding two big reasons for your enemies to back the **** up!"] = true;
L["Double your bars then double their size for maximum button goodness!"] = true;
L["Big X2"] = true;
L["Auras System"] = true;
L["Select the type of aura system you want to use with Inked Super Villains' unitframes. The Icon Lovers set will display only icons and aurabars won't be used. The Vintage set will use the original game style and the Gimme Everything set does just what it says.... icons, bars and awesomeness."] = true;
L["If you have an icon or aurabar that you don't want to display simply hold down shift and right click the icon for it to suffer a painful death."] = true;
L["Vintage"] = true;
L["Icon Lovers"] = true;
L["The Works!"] = true;
L["Installation Complete"] = true;
L["Thats it! All done! Now we just need to hand these choices off to the minions so they can get you ready to (..try to take over the world..)!"] = true;
L["Click the button below to reload and get on your way! Good luck player!"] = true;
L["THE_BUTTON_BELOW"] = "THE\nBUTTON\nBELOW";
--[[UI TEXTS]]--
L["Meanwhile"]=true;
L["..at "]=true;
L["Назначение"]=true;
L["Клавиша"]=true;
L["KEY_ALT"]="A"
L["KEY_CTRL"]="C"
L["KEY_DELETE"]="Del"
L["KEY_HOME"]="Hm"
L["KEY_INSERT"]="Ins"
L["KEY_MOUSEBUTTON"]="M"
L["KEY_MOUSEWHEELDOWN"]="MwD"
L["KEY_MOUSEWHEELUP"]="MwU"
L["KEY_NUMPAD"]="N"
L["KEY_PAGEDOWN"]="PD"
L["KEY_PAGEUP"]="PU"
L["KEY_SHIFT"]="S"
L["KEY_SPACE"]="SpB"
L["Нет назначений."]=true;
L["Удалить панель %d из списка переключаемых"]=true;
L["Триггер"]=true;
L["Удалить предметы серого качества"]=true;
L["Зажать control + ПКМ:"]=true;
L["Зажать Shift и перетаскивать:"]=true;
L["С зажатым shift'ом:"]=true;
L["Приобрести слот"]=true;
L["Сбросить позицию"]=true;
L["Сортировать"]=true;
L["Сортировать вкладки"]=true;
L["Сложить в банк"]=true;
L["Сложить в сумки"]=true;
L["Собрать предметы"]=true;
L["Временное перемещение"]=true;
L["Показать сумки"]=true;
L["Продавать серые предметы"]=true;
L["АФК"]=true;
L["Не беспокоить"]=true;
L["Г"]=true;
L["П"]=true;
L["ЛП"]=true;
L["Неверная цель"]=true;
L["Оф"]=true;
L["Гр"]=true;
L["Лидер гр."]=true;
L["Р"]=true;
L["РЛ"]=true;
L["Объявление"]=true;
L["говорит"]=true;
L["шепчет"]=true;
L["кричит"]=true;
L["(Зажать Shift) Использование памяти"]=true;
L["Сила Ат"]=true;
L["Защита: "]=true;
L["Распределение защиты"]=true;
L["Канал"]=true;
L["Штурмы баз"]=true;
L["Оборона баз"]=true;
L["Захваты вагонеток"]=true;
L["Персонаж: "]=true;
L["Грудь"]=true;
L["В бою"]=true;
L["copperabbrev"]="|cffeda55fм|r"
L["Убит"]=true;
L["Убыток:"]=true;
L["Разрушителей уничтожено"]=true;
L["Загрузка"]=true;
L["УВС"]=true;
L["Заработано:"]=true;
L["Ступни"]=true;
L["Захваты флага"]=true;
L["Возвраты флага"]=true;
L["Список друзей"]=true;
L["Друзья"]=true;
L["Галлеон"]=true;
L["Врат разрушено"]=true;
L["goldabbrev"]="|cffffd700з|r"
L["Штурмы кладбищ"]=true;
L["Оборона кладбищ"]=true;
L["Кисти рук"]=true;
L["Голова"]=true;
L["Метк."]=true;
L["Локальная задержка: "]=true;
L["+ Исцел."]=true;
L["ИВС"]=true;
L["Ноги"]=true;
L["ур."]=true;
L["Правая рука"]=true;
L["Снижение на уровне: "]=true;
L["Налак"]=true;
L["Нет гильдии"]=true;
L["Левая рука"]=true;
L["Ундаста"]=true;
L["Захваты сферы"]=true;
L["Прибыль:"]=true;
L["Сбросить нанные: Shift + ПКМ"]=true;
L["Сохраненные рейды"]=true;
L["На сервере: "]=true;
L["За сеанс:"]=true;
L["Ша Злости"]=true;
L["Плечо"]=true;
L["silverabbrev"]="|cffc7c7cfc|r"
L["+ Закл."]=true;
L["Потрачено:"]=true;
L["Статистика для:"]=true;
L["Использование CPU:"]=true;
L["Всего памяти:"]=true;
L["Всего: "]=true;
L["Штурмы башен"]=true;
L["Оборона башен"]=true;
L["Не убит"]=true;
L["Полная защита от ударов:"]=true;
L["Очки победы"]=true;
L["Пояс"]=true;
L["Мировые боссы"]=true;
L["Запястья"]=true;
L["%s: %s tried to call the protected function '%s'."]=true;
L["No locals to dump"]=true;
L["Полосы"]=true;
L["Календарь"]=true;
L["Не могу бросить кости"]=true;
L["Распустить группу"]=true;
L["Пустой слот"]=true;
L["Включить"]=true;
L["Опыт"]=true;
L["Улов"]=true;
L["ЛКМ:"]=true;
L["Рейдовое меню"]=true;
L["Осталось:"]=true;
L["Бодрость:"]=true;
L["ПКМ:"]=true;
L["Показать текст ПБ"]=true;
L["Показать/скрыть чат"]=true;
L["Конфигурация"]=true;
L["Опыт:"]=true;
L["У вас нет разрешения на установку меток."]=true;
L["ABOVE_THREAT_FORMAT"]='%s: %.0f%% [%.0f%% above |cff%02x%02x%02x%s|r]'
L[" Frames"]=true;
L["Альтернативный ресурс"]=true;
L["Арена"]=true;
L["Ауры"]=true;
L["Сумки"]=true;
L["Панель "]=true;
L["Оповещения BNet"]=true;
L["Кнопка босса"]=true;
L["Боссы"]=true;
L["Полоса опыта"]=true;
L["Полоса заклинаний фокуса"]=true;
L["Фокус"]=true;
L["Цель фокуса"]=true;
L["Запрос ГМу"]=true;
L["Левый чат"]=true;
L["Розыгрыш/оповещения"]=true;
L["Окно добычи"]=true;
L["Иконка потери контроля"]=true;
L["Помощники"]=true;
L["Микроменю"]=true;
L["Миникарта"]=true;
L["Танки"]=true;
L["Группа"]=true;
L["Панель питомца"]=true;
L["Питомец"]=true;
L["Цель питомца"]=true;
L["Полоса заклинаний игрока"]=true;
L["Игрок"]=true;
L["Рейд 1-"]=true;
L["Полоса репутации"]=true;
L["Правый чат"]=true;
L["Панель стоек"]=true;
L["Полоса заклинаний цели"]=true;
L["Цель"]=true;
L["Цель цели"]=true;
L["Подсказка"]=true;
L["Тотемы"]=true;
L["Техника"]=true;
L["Задания"]=true;
L["Оружие"]=true;
L["Послушание"]=true;
L["Свет"]=true;
L["Ткач туманов"]=true;
L["Исцеление"]=true;
L[" |cff00ff00назначено для |r"]=true;
L["Сброшены все назначения для |cff00ff00%s|r."]=true;
L["Уже выполняется.. Бобер, выдыхай!"]=true;
L["Статистика поля боя временно скрыта, чтобы показать наберите команду /bgstats."]=true;
L["Статистика боя снова будет показываться, если вы находитесь на поле боя."]=true;
L["Назначения отменены"]=true;
L["Назначения сохранены"]=true;
L["Что за.. Попробуйте еще раз!"]=true;
L["Удалено %d предметов серого качества. Общая стоимость: %s"]=true;
L["Нет предметов серого качества для удаления."]=true;
L["Нет предметов серого качества для продажи."]=true;
L["Заклинание '%s' было добавлено в фильтр BlackList аур рамок юнитов."]=true;
L["Проданы серые предметы на сумму:"]=true;
L["У вас недостаточно денег для ремонта."]=true;
L["Вы должны находиться у торговца."]=true;
L["Ваши предметы отремонтированы на: "]=true;
L["Ваши предметы отремонтированы за счет гильдии на: "]=true;
L["Ваша версия Inked Super Villains устарела. Вы можете скачать последнюю версию на http://www.wowinterface.com"]=true;
L["|cFFE30000Обнаружена ошибка lua. Вы получите отчет о ней после завершения боя."]=true;
L["Настройка, которую Вы только что изменили, будет влиять только на этого персонажа. Она не будет изменяться при смене профиля. Также это изменение требует перезагрузки интерфейса для вступления в силу."]=true;
L["Вы уверенны, что хотите удалить все предметы серого качества?"]=true;
L["Вы уверены, что хотите распустить группу?"]=true;
L["Вы уверены, что хотите сбросить все фиксаторы на позиции по умолчанию?"]=true;
L["Из-за массового непонимания новой системы аур, я добавил новый шаг в установку. Он опционален. Если вам нравится, как сейчас настроены ваши ауры, перейдите на последнюю страницу установки и нажмите \"Завершить\", чтобы это сообщение больше не появлялось. Если же оно появится снова, пожалуйста, перезапустите игру."]=true;
L["Невозможно приобрести больше слотов!"]=true;
L["Отключить предупреждение"]=true;
L["Отменить"]=true;
L["Клянетесь ли вы не постить в Discord'е технической поддержки, что что-то не работает, до того, как отключите другие аддоны/модули?"]=true;
L["Наведите курсор на любую кнопку на панели или в книге заклинаний, чтобы назначит ей клавишу. Нажмите правую кнопку мыши или 'Escape', чтобы сбросить назначение для этой кнопки."]=true;
L["Я клянусь!"]=true;
L["Одно или несколько изменений требуют перезагрузки интерфейса."]=true;
L["Одно или несколько изменений повлияют на всех персонажей, использующих этот аддон. Вы должны перезагрузить интерфейс для отображения этих изменений."]=true;
L["Сохранить"]=true;
L["Настоятельно рекомендуется использование раскладки \"Лечение\" совместно с аддоном Clique если вы хотите иметь функцию click-to-heal для того что бы не уронить вашу группу."]=true;
L["Вы переключились в режим pixel perfect. Вы должны завершить установку для исправления графических багов."]=true;
L["Вы изменили масштаб интерфейса, однако у вас все еще активирована опция автоматического масштабирования в настройках Inked Super Villains. Нажмите 'Принять', если Вы хотите отключить эту опцию."]=true;
L["Сперва вы должны приобрести дополнительный слот в банке!"]=true;
L["Кол-во"]=true;
L["Является целью:"]=true;
L["Призрак"]=true;
L["Не в сети"]=true;
L["Ваша версия Inked Super Villains устарела. Пожалуйста загрузите последнюю версию на from http://www.wowinterface.com."]=true;
L["Экипировка"]=true;
L["EQUIPMENT_DESC"]="Изменение параметров переключения набора экипировки при смене специализации или входа на поле боя."
L["Не менять"]=true;
L["Специализация"]=true;
L["Включение/Отключение смены специализации."]=true;
L["Основной талант"]=true;
L["Выберите набор экипировки для основной специализации"]=true;
L["Второй талант"]=true;
L["Выберите набор экипировки для второй специализации."]=true;
L["Поле боя"]=true;
L["Включение/Отключение смены на поле боя."]=true;
L["Экипировать набор предметов"]=true;
L["Выбор набора экипировки когда вы входите на поле боя"]=true;
L["Выбранный набор: "]=true;
L["DURABILITY_DESC"]="Изменение параметров отображения прочности на экране персонажа."
L["Включение/Отключение отображения прочности предметов на экране персонажа."]=true;
L["Только повреждённые предметы"]=true;
L["Отображать прочность только на повреждённых предметах."]=true;
L["ITEMLEVEL_DESC"]="Изменение настроек отображение информации об уровне предметов на экране персонажа."
L["Включение/Отключение отображения уровня предметов на экране персонажа."]=true;
L["Разное"]=true;
L["Оверлей набора экипировки"]=true;
L["Помечать предметы которые используются в ваших наборах экипировки, в интерфейсе банка и в ваших сумках."]=true;
L["Прозрачность интерфейса"]=true;
L["Изменение прозрачности всех перемещаемых элементов."]=true;
L["Автоматическое подтверждение ролей"]=true;
L["Включить автоматическое подтверждение ролей на основе специализации для группы / членов рейда (для работы требуется быть лидером группы или ассистентом РЛ)."]=true;
L["Спрятать иконки ролей во время боя"]=true;
L["Все иконки ролей (Урон/Лечение/Танк) на рамках игроков будут скрыты в начале боя."]=true;
L["GPS"]=true;
L["Отображать направление и дистанцию до выбранного члена группы или рейда."]=true;
L["Иконка атаки"]=true;
L["Show attack icon for units that are not tapped by you or your group, but still give kill credit when attacked."]=true;
L["Отображать иконку класса."]=true;
L["Above Minimap"]=true;
L["Location Digits"]=true;
L["Number of digits for map location."]=true;
L["Спрятать миникарту во время боя."]=true;
L["Задержка исчезновения"]=true;
L["Задержка до появления карты после выхода из режима боя. (0 = Без задержки)"]=true;
L["Панель кнопок миникарты"]=true;
L["Стиль кнопок"]=true;
L["Изменение стиля отображения кнопок миникарты в стилистике Inked Super Villains."]=true;
L["Стиль Inked Super Villains"]=true;
L["Изменение параметров отображения кнопок около миникарты."]=true;
L["Размер кнопок около миникарты."]=true;
L["No Anchor Bar"]=true;
L["Horizontal Anchor Bar"]=true;
L["Vertical Anchor Bar"]=true;
L["Layout Direction"]=true;
L["Normal is right to left or top to bottom, or select reversed to switch directions."]=true;
L["Normal"]=true;
L["Reversed"]=true;
L["PvP Autorelease"]=true;
L["Автоматически покидать тело, когда персонаж умирает на поле боя."]=true;
L["Отслеживание репутации"]=true;
L["Автоматически сменить отслеживаемую репутацию, при получении очков этой фракции."]=true;
L["Выбор награды за задание"]=true;
L["Автоматически выбирать наиболее дорогую награду за задание."]=true;
L["Уровень предмета"]=true;
L["Радиус цели"]=true;
L["Дистанция"]=true;
L["Actionbar1DataPanel"]='Actionbar 1'
L["Actionbar3DataPanel"]='Actionbar 3'
L["Actionbar5DataPanel"]='Actionbar 5'
L["Sunsong Ranch"]=true;
L["The Halfhill Market"]=true;
L["Tilled Soil"]=true;
L["Right-click to drop the item."]=true;
L["Toolbox"]=true;
L["COMIX_DESC"]="Вкл/Выкл всплывающие комичные окна во время боя»"
L["FARMING_MODE_DESC"]="Изменение настроек которые помогут вам фармить золото и прокачивать профессию."
L["SNACKS_DESC"]="Adjust the settings for the consumables bar."
L["Toolbox Bars"]=true;
L["Toolbox Portal Bar"]=true;
L["Toolbox Seed Bar"]=true;
L["Toolbox Tools Bar"]=true;
L["Enable/Disable the laborer bars."]=true;
L["Only active buttons"]=true;
L["Only show the buttons for the seeds, portals, tools you have in your bags."]=true;
L["Drop Tools"]=true;
L["Automatically drop tools from your bags when leaving the farming area."]=true;
L["Seed Bar Direction"]=true;
L["The direction of the seed bar buttons (Horizontal or Vertical)."]=true;
L["Threat Text"]=true;
L["Display threat level as text on targeted, boss or mouseover nameplate."]=true;
L["Target Count"]=true;
L["Display the number of party / raid members targetting the nameplate unit."]=true;
L["Heal Glow"]=true;
L["Direct AoE heals will let the unit frames of the affected party / raid members glow for the defined time period."]=true;
L["Glow Duration"]=true;
L["The amount of time the unit frames of party / raid members will glow when affected by a direct AoE heal."]=true;
L["Glow Color"]=true;
L["Raid Marker Bar"]=true;
L["Display a quick action bar for raid targets and world markers."]=true;
L["Modifier Key"]=true;
L["Set the modifier key for placing world markers."]=true;
L["Shift Key"]=true;
L["Ctrl Key"]=true;
L["Alt Key"]=true;
L["Raid Markers"]=true;
L["Click to clear the mark."]=true;
L["Click to mark the target."]=true;
L["%sClick to remove all worldmarkers."]=true;
L["%sClick to place a worldmarker."]=true;
L["WatchFrame"]=true;
L["WATCHFRAME_DESC"]="Adjust the settings for the visibility of the watchframe (questlog) to your personal preference."
L["Hidden"]=true;
L["Collapsed"]=true;
L["Settings"]=true;
L["City (Resting)"]=true;
L["PvP"]=true;
L["Arena"]=true;
L["Party"]=true;
L["Raid"]=true;
L["Progression Info"]=true;
L["Display the players raid progression in the tooltip, this may not immediately update when mousing over a unit."]=true;
L["Artifact Power"]=true;
L["Current Artifact Power:"]=true;
L["Remaining:"]=true;
L["Points to Spend:"]=true;
L["No Artifact"]=true;
