--[[
###############################################################################################
#S U P E R - V I L L A I N - ORIGINALLY  By: Failcoder | InkedSV (SUPER VILLAIN)  By: keivamp #
###############################################################################################
keivamp's quest tracker
]]--
local _G = _G;
local pairs     = _G.pairs;
--BLIZZARD API
local CreateFrame           = _G.CreateFrame;
local GetTime               = _G.GetTime;
local PERCENTAGE_STRING     = _G.PERCENTAGE_STRING;
local GetTimeStringFromSeconds = _G.GetTimeStringFromSeconds;
local GetQuestProgressBarPercent = _G.GetQuestProgressBarPercent;
--[[
##########################################################
GET ADDON DATA
##########################################################
]]--
local SV = _G['InkedSV']
local MOD = SV.QuestTracker;
local LSM = _G.LibStub("LibSharedMedia-3.0")

	local scrollFrame = CreateFrame("ScrollFrame", "InkedSV_QuestTrackerScrollFrame",Minimap)
	scrollFrame:SetWidth(275)
	scrollFrame:SetHeight(325)
	scrollFrame:SetPoint("BOTTOMLEFT",-250,-525)
	scrollFrame:EnableMouseWheel(true);
	scrollFrame.MaxVal = 0;
	local tex = scrollFrame:CreateTexture(nil, "BACKGROUND")
		tex:SetAllPoints()
		tex:SetColorTexture(0.15, 0.15, 0.15, 0)
		if SV.db["QuestTracker"].BackGround then
		SV.API:Set("Frame", scrollFrame)
		else
		SV.API:Set("Window2", scrollFrame)
		end
		scrollFrame:SetMovable(true)
		scrollFrame:EnableMouse(true)
		scrollFrame:RegisterForDrag("LeftButton")
		scrollFrame:SetScript("OnDragStart", scrollFrame.StartMoving)
		scrollFrame:SetScript("OnDragStop", scrollFrame.StopMovingOrSizing)
		scrollFrame:SetClampedToScreen(true)
		scrollFrame:SetClampRectInsets(0, 0, 0,0)
		scrollFrame:SetUserPlaced(true)
		
		
		local scrollBar = CreateFrame("Slider", "InkedSV_QuestTrackerScrollFrameScrollBar", scrollFrame);
	scrollBar:SetHeight(scrollFrame:GetHeight());
	scrollBar:SetWidth(18);
	scrollBar:SetPoint("TOPRIGHT", scrollFrame, "BOTTOMRIGHT", -4, 2);
	scrollBar:SetPoint("BOTTOMRIGHT", scrollFrame, "BOTTOMRIGHT", -4, 2);
	scrollBar:SetFrameLevel(6)
	scrollBar:SetOrientation("VERTICAL");
	scrollBar:SetValueStep(5);
	scrollBar:SetMinMaxValues(1, 420);
	scrollBar:SetValue(1);
	scrollBar:SetScript("OnValueChanged", function(self, argValue)
		_G.InkedSV_QuestTrackerScrollFrame:SetVerticalScroll(argValue)
	end)
	SV.API:Set("ScrollBar", scrollBar)
	
	local scrollChild = CreateFrame("Frame", "InkedSV_QuestTrackerScrollFrameScrollChild", scrollFrame);
	scrollChild:SetWidth(scrollFrame:GetWidth());
	scrollChild:SetClampedToScreen(true)
	scrollChild:SetHeight(325)
	scrollChild:SetPoint("BOTTOMRIGHT", scrollFrame, "BOTTOMRIGHT", -2, 0)
	scrollChild:SetFrameLevel(scrollFrame:GetFrameLevel() + 1)
	SV.API:Set("Window2", scrollChild)
	local texScrollChild = scrollChild:CreateTexture(nil, "BACKGROUND")
		texScrollChild:SetAllPoints()
		texScrollChild:SetColorTexture(0.25, 0.15, 0.65, 0)

	scrollFrame:SetScrollChild(scrollChild);
	scrollFrame.ScrollBar = scrollBar;
	scrollFrame.ScrollChild = scrollChild;
	scrollFrame:SetScript("OnMouseWheel", function(self, delta)
		local scroll = self:GetVerticalScroll();
		local value = (scroll - (20  *  delta));
		if value < -1 then
			value = 0
		end
		if value > self.MaxVal then
			value = self.MaxVal
		end
		self:SetVerticalScroll(value)
		self.ScrollBar:SetValue(value)
	end)
	
	
	local quests = CreateFrame("Frame", nil, scrollChild)
	quests:SetWidth(275);
	quests:SetHeight(20);
	quests:SetPoint("TOPLEFT", scrollChild,"TOPLEFT", 0,-10)
	--quests:SetStyle()

	quests.Header = CreateFrame("Frame", nil, quests)
	quests.Header:SetPoint("TOPLEFT", quests, "TOPLEFT", 2, -2);
	quests.Header:SetPoint("TOPRIGHT", quests, "TOPRIGHT", -2, -2);
	quests.Header:SetHeight(10);

	quests.Header.Text = quests.Header:CreateFontString(nil,"OVERLAY")
	quests.Header.Text:SetPoint("TOPLEFT", quests.Header, "TOPLEFT", 2, 0);
	quests.Header.Text:SetPoint("BOTTOMLEFT", quests.Header, "BOTTOMLEFT", 2, 0);
	quests.Header.Text:SetFontObject(InkedSV_Font_Quest_Header);
	quests.Header.Text:SetJustifyH('LEFT')
	quests.Header.Text:SetTextColor(0.28,0.75,1)
	quests.Header.Text:SetText(TRACKER_HEADER_QUESTS)

	quests.Header.Divider = quests.Header:CreateTexture(nil, 'BACKGROUND');
	quests.Header.Divider:SetPoint("TOPLEFT", quests.Header.Text, "TOPRIGHT", -10, 0);
	quests.Header.Divider:SetPoint("BOTTOMRIGHT", quests.Header, "BOTTOMRIGHT", 0, 0);
	quests.Header.Divider:SetTexture([[Interface\AddOns\InkedSV\assets\textures\DROPDOWN-DIVIDER]]);
	
	
	
	
	
		QuestWatchFrame:ClearAllPoints()
		QuestWatchFrame:SetPoint("TOPLEFT", quests,"TOPLEFT", 30,-10)
		QuestWatchFrame:SetScale(1.1)
		QuestWatchFrame:SetWidth(250) -- Set these to whatever height/width is needed 
		QuestWatchFrame:SetHeight(300)

	local function UltraTrack(self, event, ...)
		local questIndex, questId = ...
		if not IsQuestComplete(questId) then
			AddQuestWatch(questIndex)
		end
	end

	local UltraQuestEvent = CreateFrame("FRAME")
	UltraQuestEvent:RegisterEvent("QUEST_ACCEPTED")
	UltraQuestEvent:SetScript("OnEvent", UltraTrack)

    local f = {}

    local OnMouseUp = function(self)
    	if  IsShiftKeyDown() then
    		local qID = GetQuestIDFromLogIndex(self.qID)
    		for i, v in ipairs(QUEST_WATCH_LIST) do
    			if v.id == qID then
    				tremove(QUEST_WATCH_LIST, i)
    			end
    		end
    		RemoveQuestWatch(self.qID)
    		QuestWatch_Update()
    	else
    		ShowUIPanel(QuestLogFrame)
    		QuestLog_SetSelection(self.qID)
    	end
    	QuestLog_Update()
    end
    local SetHighlightColor = function(self)
    	self.header:SetTextColor(1, .8, 0)
    	for _, t in ipairs(self.objective) do
    		t:SetTextColor(0, 1, 1)
			
    	end
    end
    local SetNormalColor = function(self)
    	self.header:SetTextColor(.75, .61, 0)
    	for _, t in ipairs(self.objective) do
    		t:SetTextColor(.8, .8, .8)
			
    	end
    end
    local OnEnter = function(self)
    	if  not self.completed then
    		SetHighlightColor(self)
    	end
    end
    local OnLeave = function(self)
    	SetNormalColor(self)
    end
    local CreateClickFrame = function(watchID, qID, header, objective, completed)
    	if  not f[watchID] then
    		f[watchID] = CreateFrame'Frame'
    		f[watchID]:SetScript('OnMouseUp', OnMouseUp)
    		f[watchID]:SetScript('OnEnter', OnEnter)
    		f[watchID]:SetScript('OnLeave', OnLeave)
    	end
    	local frame = f[watchID]
    	frame:SetAllPoints(header)
    	frame.watchID      = watchID
    	frame.qID          = qID
    	frame.header       = header
    	frame.objective    = objective
    	frame.completed    = completed

    end
    local Update = function()
        local watchID = 1
        for i = 1, GetNumQuestWatches() do
        	local qID = GetQuestIndexForWatch(i)
        	if  qID then
        		local n = GetNumQuestLeaderBoards(qID)
        		if  n > 0 then
        			local header = _G['QuestWatchLine'..watchID]
        			local group = {}
        			local completed = 0

                    watchID = watchID + 1

        			for j = 1, n do
        				local _, _, finished  = GetQuestLogLeaderBoard(j, qID)
        				if  finished then
        					completed = completed + 1
        				end
        				tinsert(group, _G['QuestWatchLine'..watchID])
        				watchID = watchID + 1
        			end
        			CreateClickFrame(i, qID, header, group, completed == n)
                end
        	end
        end
        for _, v in pairs(f) do
        	v[GetQuestIndexForWatch(v.watchID) and 'Show' or 'Hide'](v)
        end
    end

    local OnEvent = function()
            hooksecurefunc('QuestWatch_Update', Update)
    end
    local e = CreateFrame'Frame'
    e:RegisterEvent'PLAYER_LOGIN'
    e:SetScript('OnEvent', OnEvent)

	
